/**
 *  A magic general shop
 *  @author Drakkos
 *  @started 15/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h";

inherit "/std/shops/general_shop";

void setup() {
  set_short ("magic general shop");
  add_property ("determinate", "");
  
  set_day_long ("The fingers of sunlight do not touch this occult "
    "place.  Hope has long deserted this room.\n");
  set_night_long ("In the darkness, it's possible to send occult, "
    "eldritch energies seeking entry.  Anyone in the room at "
    "night without the special magical safety item is likely "
    "to be eaten by a grue.\n");
  
  set_store_room (ROOMS + "magic_storeroom");
  
  set_light (100);
  
  add_day_item("occult place", "There's a definite sense of occultness "
    "in the air.");
  add_day_item (({"occult", "occultness"}), "Yes, that sort of thing.");
  add_night_item ("occult eldritch energies", "They are very oblong.");
  add_night_item ("special magical safety item", "Hoo-boy, you better hope "
    "you have that with you!");
  add_property ("place", "Genua");

  room_day_chat ( ({ 120, 240, ({
    "You are probably safe here, for the time being.",
    "This room makes you sad.",
    "You sense that the room doesn't want you to be here.",
  })})); 
  
  room_night_chat ( ({ 120, 240, ({
    "You better hope you have the magic item!",
    "I feel sorry for anyone who doesn't have that special item!",
    "#eaten_by_grue",
  })}));   

  add_exit ("west", ROOMS + "market_southeast", "door");
  
} 

void eaten_by_grue() {
  object *room_contents;
  object *living_objects = ({ });
  object *matches;
  object ob;
  object amulet;
  int safe;
  
  room_contents = all_inventory (this_object());

  foreach (ob in room_contents) {
    if (living (ob)) {
      living_objects += ({ ob });
    }
  }
  
  foreach (ob in living_objects) {
    safe = 0;
    matches = match_objects_for_existence ("black box recorder amulet", 
      ob);
    
    foreach (amulet in matches) {
      if (amulet->query_worn_by() == ob) {
        safe = 1;
      }
    }    
    
    if (safe == 1) {
      tell_object (ob, "You are judged and found worthy!\n");
    }
    else {
      tell_object (ob, "You are devoured by a grue!\n");
      tell_room (this_object(), ob->query_short() + " is devoured by a grue!\n", 
        ({ ob }));    
      ob->attack_by (this_object());  
      ob->do_death();
    }
  }   
} 

string query_death_reason() {
  return "being eaten by a grue";
}