#include "path.h"
#include <armoury.h>

#define MAX_BASE_STOCK 8

inherit "/std/storeroom";

void setup() {
    set_short( "store room" );
    set_long( "This is a storeroom.  You shouldn't be here.\n" );
    set_light( 100 );
}

void reset() {
  object *torches;
  int num_torches;
  object *amulets;
  int num_amulets;
  object ob;
  
  // We need to get a count of how many torches there are in this room.  
  // Match_objects_for_existence gives us an array back of all the items 
  // matching the string we give. Note we give the plural - if we give 
  // the singular it will return one match only.
  torches = match_objects_for_existence ("lightable torches", 
    this_object());
  
  // Once we have the array, we use the sizeof function to tell us 
  // how many elements that array has.
  num_torches = sizeof (torches);
    
  if (num_torches < 8) {
    for (int i = 0; i < 2; i++) {
      request_item ("torch", 100);
    }
  }
  
  // As with torches, we want a count of availale amulets.
  amulets = match_objects_for_existence ("black box recorder amulets", 
    this_object());
  
  num_amulets = sizeof (amulets);
  
  if (num_amulets < 1) {
    ob = clone_object (ITEMS + "black_box_recorder.arm");
    ob->move (this_object());
  }
  
}